package day23

import (
	"fmt"
)

// length of longest scenic route
func Run() int {
	fmt.Println("day 23")
	filename := "day23/example"
	field := ReadField(filename)
	finalPaths := RunAllScenicPaths(field)

	max := 0
	for _, path := range finalPaths {
		if path.visited.Cardinality() > max {
			max = path.visited.Cardinality()
		}
	}
	return max
}

